Atualizar upsell
curl --request PUT \
--url https://api.speedsellx.io/seller/v1/upsells/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"status": "<string>",
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>",
"accept_redirect": "<string>",
"refuse_redirect": "<string>"
}
'import requests
url = "https://api.speedsellx.io/seller/v1/upsells/{id}"
payload = {
"name": "<string>",
"status": "<string>",
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>",
"accept_redirect": "<string>",
"refuse_redirect": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
status: '<string>',
accept_text: '<string>',
refuse_text: '<string>',
accept_page: '<string>',
refuse_page: '<string>',
accept_redirect: '<string>',
refuse_redirect: '<string>'
})
};
fetch('https://api.speedsellx.io/seller/v1/upsells/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"product_id": 123,
"funnel_id": 123,
"name": "<string>",
"status": "<string>",
"accept_text": "<string>",
"refuse_text": "<string>",
"accept_page": "<string>",
"refuse_page": "<string>",
"accept_redirect": "<string>",
"refuse_redirect": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"type": "not_found",
"message": "Resource not found."
}
}{
"message": "<string>",
"errors": {}
}Upsells
Atualizar upsell
Atualiza um upsell da conta. Requer Idempotency-Key.
PUT
/
upsells
/
{id}
Atualizar upsell
Path Parameters
Body
application/json
Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
2048Maximum string length:
2048Response
Show child attributes
Show child attributes
⌘I